classification
Title: Closing transport during handshake process leaks open socket
Type: Stage: resolved
Components: Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fafhrd91, yselivanov
Priority: normal Keywords:

Created on 2017-03-06 23:00 by fafhrd91, last changed 2018-10-21 14:51 by taleinat. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 480 merged fafhrd91, 2017-03-06 23:00
PR 2044 merged yselivanov, 2017-06-09 21:51
PR 2045 merged yselivanov, 2017-06-09 21:52
PR 10029 open taleinat, 2018-10-21 14:51
Messages (2)
msg289143 - (view) Author: Nikolay Kim (fafhrd91) * Date: 2017-03-06 23:00
https://github.com/python/asyncio/issues/487
https://github.com/KeepSafe/aiohttp/issues/1679
msg295590 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2017-06-09 22:34
Merged. Thank you Nikolay!
History
Date User Action Args
2018-10-21 14:51:43taleinatsetpull_requests: + pull_request9367
2017-06-09 22:34:15yselivanovsetstatus: open -> closed

nosy: + yselivanov
messages: + msg295590

resolution: fixed
stage: resolved
2017-06-09 21:52:39yselivanovsetpull_requests: + pull_request2107
2017-06-09 21:51:00yselivanovsetpull_requests: + pull_request2106
2017-03-06 23:00:45fafhrd91create